void setup() {
  pinMode(7, INPUT);
  pinMode(A0, INPUT);
  pinMode(A1, INPUT);
  pinMode(5, OUTPUT);
  pinMode(6, OUTPUT);
  pinMode(10, OUTPUT);
  pinMode(11, OUTPUT); 
  Serial.begin(9600); 
}
int mode = 0;

void loop() {
  int button = digitalRead(7);
  if(button > 0){
    Serial.println("!!!!!!!!!!!!!!!");
    if(mode == 1) {
      mode = 0;
      }
    else mode = 1;
  }
  if(mode == 0){
    motor(0, 0);
    Serial.println("A0-" + String(analogRead(A0)) + "   A1-" + String(analogRead(A1)));
  }
  else{ 
    int left = analogRead(A0);
    int right = analogRead(A1);
    if(left <= 33 && right <= 40){
      motor(150, 150); 
    }
    else if(left > 33 && right > 40){
      motor(0, 0);
    }
    else if(left > 33){
      motor(-150, 150);
    }
    else{
      motor(150, -150);
    }
  }
}


void motor(int speed_1, int speed_2){
  if(speed_1 > 0) {
    analogWrite(11, speed_1);
    analogWrite(10, 0);
  }
  else {
    analogWrite(10, abs(speed_1));
    analogWrite(11, 0);
  }

  if(speed_2 > 0) {
    analogWrite(6, speed_2);
    analogWrite(5, 0);
  }
  else {
    analogWrite(5, abs(speed_2));
    analogWrite(6, 0);
  }
}